Subject: Re: df vs. long-named /dev/disk/by-uuid/... file system device names

From: Bob Proulx <[email-masked]>
Date: Thu, 29 Dec 2011 10:39:34 -0700

Jim Meyering wrote:
> On systems with recent kernel/tools, a symlink from /etc/mtab to
> /proc/mounts, and a by-UUID mount (i.e., soon, nearly everyone),
> you will see something like the following when running "df -hT":

Very unpleasant output.

> Here's a patch to do that.
> ...
> I hesitated to make this change, because it feels like a kludge that's
> working around a misfeature that should be fixed elsewhere.  I'd rather
> that the long root device name not appear in the mount listing
> (/proc/mounts) in the first place.
> 
> If anyone can assure us that this will soon be "fixed" so that we
> don't get such entries in /proc/mounts quite so easily, I'll be
> happy to defer or drop the patch.

+1 vote for doing something, either this or similar, to address the
issue in the coreutils df.  Otherwise there will be an endless stream
of annoyed people knocking down the door of the messenger.

Bob